dnl======================================================================
dnl GDS_CHECK_EXPAT
dnl   Check if EXPAT is installed
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_EXPAT],
[ have_expat="no"
  AC_CHECK_LIB(expat, XML_Parse, have_expat="yes", have_expat="no")
  AM_CONDITIONAL([require_expat], [test "$have_expat" = "no" ])
  AS_IF( [test "$have_expat" = "yes"],
         [ pkgf=/usr
           pkgl=$pkgf/lib
           for d in `echo "$LD_LIBRARY_PATH" | sed -e "s/:/ /g"`
           do
             AS_IF( [test -f "$d/libexpat.so"],
                    [ pkgl=`echo $d | sed -e 's,/$,,g'`
                      pkgf=`echo $pkgl | sed -e 's,/lib\(64\)*$,,'`
                      echo $pkgf
                      break ] )
           done
           expatcflags="-I$pkgf/include"
           expatlibs="-lexpat" ],
         [ expatcflags="-I$PWD/External/include"
           expatlibs="-L$PWD/External/lib -lxml" ] )
  AC_SUBST(expatcflags)
  AC_SUBST(expatlibs)
])
